#include <Arduino.h>
#ifndef DDSModule_H
#define DDSModule_H
class DDSModule {
  public:
    DDSModule(int dataClockPin);    
    void SetStartAtSin(bool sinOrNot);
    int GetClockPin();
    unsigned int GetControlByte();
    
  private:  
    int PIN_DATA_CLOCK;
    unsigned int _controlByte;
    void Clock();
    
};
#endif
